extends ../dashboard-layout

include ../mixins/paginacao

block page-header
    h1.h2 Sites

block main
    .card.text-white.bg-dark
        .card-header(id="headingOne")
            h5.mb-0
                button.btn.btn-link.col.text-left(data-toggle="collapse", data-target="#collapseOne", aria-expanded="true",
                aria-controls="collapseOne")
                    i.fa.fa-search
                    |  Filtrar sites
        #collapseOne.collapse(aria-labelledby="headingOne", data-parent="#accordion")
            .card-body
                form(name="formBusca", onsubmit="return false")
                    input(type="hidden", value=paginacao.skip, name="skip")
                    input(type="hidden", value=paginacao.count, name="count")
                    .form-row
                        .form-group.col
                            label(for="inputApelido") Apelido
                            input.form-control.form-control-sm#inputApelido(name="apelido", type="text", value=parametros.apelido)
                        .form-group.col
                            label(for="inputTitulo") Título
                            input.form-control.form-control-sm#inputTitulo(name="titulo", type="text", value=parametros.titulo)
                        .form-group.col
                            label(for="inputUrl") Endereço
                            input.form-control.form-control-sm#inputURL(name="url", type="text", value=parametros.url)
                    .form-row
                        .form-group.col-4
                            select.form-control.form-control-sm#selectSort(name='sort', onclick="resetPagination()")
                                option(selected=true, value="apelido") Apelido A-Z
                                option(selected=parametros.sort === "-apelido", value="-apelido") Apelido Z-A
                                option(selected=parametros.sort === "titulo", value="titulo") Título A-Z
                                option(selected=parametros.sort === "-titulo", value="-titulo") Título Z-A

                        .form-group.col-4
                            select.form-control.form-control-sm#selectLimit(name='limit', onclick="resetPagination()")
                                option(selected=true, value="10") Mostrar 10 registros
                                option(selected=paginacao.limit === 25, value="25") Mostrar 25 registros
                                option(selected=paginacao.limit === 50, value="50") Mostrar 50 registros
                                option(selected=paginacao.limit === 100, value="100") Mostrar 100 registros

                        .form-group.col-4.text-right
                            a.btn.btn-light.btn-sm(href="/admin/sites")
                                i.fa.fa-trash
                                |  Limpar
                            | &nbsp;

                            button.btn.btn-primary.btn-sm(type='submit', onclick="resetPagination()")
                                i.fa.fa-check
                                |  Buscar
    hr
    .row
        .btn-group.col
            a.btn.btn-success.btn-sm(href='/admin/sites/new')
                i.fa.fa-plus
                |  Novo Site

    if (sites && sites.length > 0)
        hr
        .table-responsive
            table.table.table-striped.table-sm.table-hover
                thead.thead-dark
                    tr
                        th(scope="col", width="8%") Ações
                        th.text-center(scope="col", width="8%") Ativo
                        th(scope="col", width="30%") Título
                        th(scope="col", width="10%") Apelido
                        th(scope="col", width="30%") URL
                        th(scope="col", width="14%") Último Scraping

                tbody
                    each site in sites
                        tr
                            td
                                .btn-group.btn-group-sm(role="group", aria-label="Basic example")
                                    button.btn.btn-dark.dropdown-toggle(id="btnGroupDrop" + site._id, type="button",
                                    data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
                                        i.fa.fa-cog
                                    .dropdown-menu(aria-labelledby="btnGroupDrop" + site._id)
                                        a.dropdown-item(href="/admin/sites/view/" + site._id, title="Visualizar Site")
                                            i.fa.fa-search
                                            |  Visualizar Site
                                        button.dropdown-item(onclick="excluir('/admin/sites/remove/" + site._id + "')",
                                        title="Excluir Site")
                                            i.fa.fa-times
                                            |  Excluir Site
                                        if (!site.ativo)
                                            a.dropdown-item(href="/admin/sites/active/" + site._id, title="Ativar Site")
                                                i.fa.fa-play
                                                |  Ativar Site
                                        else
                                            a.dropdown-item(href="/admin/sites/active/" + site._id, title="Parar Site")
                                                i.fa.fa-stop
                                                |  Parar Site
                            td.text-center
                                a(href="/admin/sites/active/" + site._id, title="Rodar/Pausar Robôs")
                                    if(site.ativo)
                                        i.fa.fa-pause
                                    else
                                        i.fa.fa-play
                            td
                                a(href="/admin/sites/view/" + site._id, title="Visualizar Site")=site.titulo
                            td=site.apelido
                            td=site.urlRoot
                            td=moment(site.lastScraping).format('DD/MM/YYYY HH[h]mm[m]ss[s]')


        +paginacao(paginacao, "document.formBusca")
    else
        p.text-center.text-muted Nenhum site atende os parâmetros de busca solicitados.



block scripts
    script(src="/js/admin/crud-functions.js")

